<?xml version="1.0" encoding="utf-8" ?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:Error="Errors.uri" exclude-result-prefixes="Error">
	<xsl:output method="xml" indent="yes"/>
	<xsl:variable name="IntermediateFile">
		<!-- Version Details -->
		<CensusDetail type="School Census 2022-2023"/>
		<!-- Current Version Details -->
		<CurrentVersion>
			<Version number="2023.1.4" released="2022-12-23" author="Andy Naylor" comment="Added new rule 3131.  Rule 4016 changed from Error to Query"/>
		</CurrentVersion>
		<!-- History (old Current Version Details) -->
		<VersionHistory>
			<Version number="2023.1.3" released="2022-12-16" author="Andy Naylor" comment="Minor updates to rules 2397 and 2398 and Table 15 in School Summary"/>
			<Version number="2023.1.2" released="2022-11-16" author="Andy Naylor" comment="Beta version for Spring 23."/>
			<Version number="2023.1.1" released="2022-09-13" author="Andy Naylor" comment="Rules 1886, 2876 Updated to use correct fields.  Tables 16, 17 in school summary had date comparison corrected."/>
			<Version number="2023.0.1" released="2022-06-01" author="Andy Naylor" comment="rolled over from summer census 2022 and updated for Autumn 22"/>
		</VersionHistory>
		<!-- End of Version Details -->
	</xsl:variable>
	<xsl:template match="/">
	<ProcessingResults>
		<XSLTVersion>
			Validation 2022.1.2 - Updated: 2022-12-23
			ErrorList 2022.1.2 - Updated: 2022-12-23
			Summary 2022.1.2 - Updated: 2022-12-23
		</XSLTVersion>
		<ValidationResults>
			<xsl:copy-of select="/Message/Header"/>
			<Summary>
				<SchoolName>
					<xsl:value-of select="/Message/School/SchoolCharacteristics/SchoolName"/>
				</SchoolName>
				<SchoolPhase>
					<xsl:choose>
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'PR' ">PR</xsl:when>
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'SP' ">SP</xsl:when> 
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'SS' ">SS</xsl:when>						
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'MS' ">MS</xsl:when>	
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'MP' ">MP</xsl:when>	
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'PS' ">PS</xsl:when>	
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'NS' ">NS</xsl:when>
						<xsl:when test="/Message/School/SchoolCharacteristics/Phase = 'AT' ">AT</xsl:when>
						<xsl:otherwise>Unknown</xsl:otherwise>
					</xsl:choose>
				</SchoolPhase>
				<PupilsOnRoll>
					<xsl:value-of select="$PupilOnRollCount"/>
				</PupilsOnRoll>
				<PupilsNoLongerOnRoll>
					<xsl:value-of select="$PupilNoLongerOnRollCount"/>
				</PupilsNoLongerOnRoll>				
				<!--Classes>
					<xsl:value-of select="count(/Message/School/Classes/Class)"/>
				</Classes-->
			</Summary>
			<ReferenceDates>
				<School>
					<xsl:value-of select="/Message/Header/CollectionDetails/ReferenceDate"/>
				</School>
				<Pupils>
					<xsl:value-of select="/Message/Header/CollectionDetails/ReferenceDate"/>
				</Pupils>
			</ReferenceDates>
		</ValidationResults>
		<xsl:element name="Errors">
			<xsl:apply-templates select="/Message"/>
		</xsl:element>
	</ProcessingResults>
	</xsl:template>
	<xsl:include href="./SchoolCensus22-23-ValidationRules.xsl"/>
</xsl:stylesheet>
